Runtime

## org.eclipse.gmf.runtime.common.ui.services.parser
Class ParserEditStatus

    java.lang.Object
      org.eclipse.core.runtime.Status
          org.eclipse.gmf.runtime.common.ui.services.parser.ParserEditStatus

All Implemented Interfaces:
  IStatus, IParserEditStatus

    public class ParserEditStatus

extends Status
implements IParserEditStatus

Concrete implementation of the IParserEditStatus suitable for use or extending. This class aides parsing by enabling feedback to help users understand

See Also:
  `Status.getMessage()`

Field Summary
`static ParserEditStatus` `EDITABLE_STATUS` The standard Editable status.
`static ParserEditStatus` `UNEDITABLE_STATUS` The standard Uneditable status.

Fields inherited from class org.eclipse.core.runtime.Status
`CANCEL_STATUS, OK_STATUS`

Fields inherited from interface org.eclipse.gmf.runtime.common.ui.services.parser.IParserEditStatus
`EDITABLE, UNEDITABLE`

Fields inherited from interface org.eclipse.core.runtime.IStatus
`CANCEL, ERROR, INFO, OK, WARNING`

Constructor Summary
`ParserEditStatus(int status, java.lang.String pluginId, int code, java.lang.String message, java.lang.Throwable exception)` Creates a new status object.
`ParserEditStatus(java.lang.String pluginId, int code, java.lang.String message)` Create a new status object with severity `INFO`, and null for the exception.

Method Summary

Methods inherited from class org.eclipse.core.runtime.Status
`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches, setCode, setException, setMessage, setPlugin, setSeverity, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IStatus
`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches`

Field Detail

### EDITABLE_STATUS

    public static final ParserEditStatus EDITABLE_STATUS

  The standard Editable status. Does not contain any message.

### UNEDITABLE_STATUS

    public static final ParserEditStatus UNEDITABLE_STATUS

  The standard Uneditable status. Does not contain a message.

Constructor Detail

### ParserEditStatus

    public ParserEditStatus(int status,
                            java.lang.String pluginId,
                            int code,
                            java.lang.String message,
                            java.lang.Throwable exception)

  Creates a new status object. The created status has no children.

  Parameters:
    `severity` - the severity; one of `OK`, `ERROR`, `INFO`, `WARNING`, or `CANCEL`
    `pluginId` - the unique identifier of the relevant plug-in
    `code` - either `EDITABLE` or `UNEDITABLE`
    `message` - a human-readable message, localized to the current locale
    `exception` - a low-level exception, or `null` if not applicable

### ParserEditStatus

    public ParserEditStatus(java.lang.String pluginId,
                            int code,
                            java.lang.String message)

  Create a new status object with severity `INFO`, and null for the exception.

  Parameters:
    `pluginId` - the unique identifier of the relevant plug-in
    `code` - either `EDITABLE` or `UNEDITABLE`
    `message` - message a human-readable message, localized to the current locale

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.